function getUserName(){
	//get username
	var username = '';
	var url = location.hostname;
	var posWWW = url.indexOf("www.");
	var posSubdomain = 0;
	if(posWWW == -1){
		posSubdomain = url.indexOf(".");
		username = url.substring(0, posSubdomain);
	}else{
		url = url.substr(4, url.length - 4);
		posSubdomain = url.indexOf(".");
		username = url.substring(0, posSubdomain);
	}
	username = 'faziosi';
	return username;
}

function getEpisode(){
	var episode = '';
	var url = location.href
	var pos = url.lastIndexOf("?");
	return url.substr(pos+1);
}


// The Audio player
var my_media = null;
var mediaTimer = null;
// duration of media (song)
var dur = -1;
// need to know when paused or not
var is_paused = false;

//Set audio position on page
function setAudioPosition(position) {
    $("#audio_position").html(position + " sec");
}

//onSuccess Callback
function onSuccess() {
    setAudioPosition(dur);
    clearInterval(mediaTimer);
    mediaTimer = null;
    my_media = null;
    is_paused = false;
    dur = -1;
}

//onError Callback 
function onError(error) {
    alert('code: '    + error.code    + '\n' + 
            'message: ' + error.message + '\n');
    clearInterval(mediaTimer);
    mediaTimer = null;
    my_media = null;
    is_paused = false;
    setAudioPosition("0");
}

//play audio
var audio = null;
var audioTimer = null;
var pausePos = 0;
function playAudio(src) {

    if (my_media === null) {
        
        // Create Media object from src
        my_media = new Media(src, onSuccess, onError);       
        // Play audio
        //alert('Playing Audio');
        my_media.play();
    } else {
        if (is_paused) {
            // to resume where paused in song: call .play()
            is_paused = false;
            my_media.play();
        }
    }
	
	 // get audio duration
    var duration = my_media.getDuration();
    
    // set slider data
    if( duration > 0 ){
	    $('#slider').attr( 'max', Math.round(duration) );
	    $('#slider').slider('refresh');
    }
	
	 audio.seekTo(pausePos*1000);
	 
	 // update audio position every second
    if (audioTimer == null) {
        audioTimer = setInterval(function() {
            // get audio position
            audio.getCurrentPosition(
                function(position) { // get position success
                    if (position > -1) {
                        setAudioPosition(position);
                    }
                }, function(e) { // get position error
                    console.log("Error getting pos=" + e);
                    //setAudioPosition(duration);
                }
            );
        }, 1000);
    }

    // Update my_media position every second
    if (mediaTimer === null) {
        mediaTimer = setInterval(function() {
            my_media.getCurrentPosition(
                    // success callback
                    function(position) {
                        if (position > -1) {
                            setAudioPosition(Math.round(position));
                            // getDuration() can take a few seconds so keep trying
                            // this could be done a better way, no callback for it
                            if (dur <= 0) {
                                dur = my_media.getDuration();                             
                                if (dur > 0) {
                                    dur = Math.round(dur);
                                    $("#media_dur").html(dur);
                                }
                            }                                                      
                        }
                    },
                    // error callback
                    function(e) {
                        alert("Error getting pos=" + e);
                        setAudioPosition("Error: " + e);
                    }
            );
        }, 1000);
    }
}

/* set audio position */
function setAudioPosition(position) {
	pausePos = position;
	position = Math.round(position);
    $('#slider').val(position);
    $('#slider').slider('refresh');
}

//Pause audio
function pauseAudio() {
    if (is_paused) return;
    if (my_media) {
        is_paused = true;
        my_media.pause();
    }
}

//Stop audio
function stopAudio() {
    if (my_media) {
        // A successful .stop() will call .release()
        my_media.stop();
        my_media = null;
    }
    if (mediaTimer) {
        clearInterval(mediaTimer);
        mediaTimer = null;
    }
    is_paused = false;
    dur = 0;
}

$(document).bind('pageinit', function(event){
		
		var username = getUserName();
		var episode = getEpisode();
    	//get header info of homepage 
		$.ajax({ 
			 url: "http://" + username +".podbean.com/api/get_podcast_episode.php",
			 data:{blog:username,post:episode},
			 dataType:"json",
			 type:"POST",
			 cache:false,
			 success: function(data){
		        if(data != 'false'){
		        	if( data.blog_name != 'false'){
						$("#pb-get-data-alternate").attr("title", data.blog_name + " RSS Feed");
					}
		        	if( data.post_title != 'false'){
		        		$("#pb-get-data-title").html(data.post_title);
		        	}
					if( data.rss2_url != 'false'){
						$("#pb-get-data-alternate").attr("href", data.rss2_url);
					}
					if( data.fb_app_id != 'false'){
						$("#pb-get-data-fb-app-id").attr("content", data.fb_app_id);
					}
					if( data.episode_logo_image != 'false'){
						$("#pb-get-data-episode-logo-image").attr("src", data.episode_logo_image);
					}
					if( data.facebook_share != 'false'){
						$("#pb-get-data-facebook-share").attr("onclick", data.facebook_share);
					}
					if( data.twitter_share != 'false'){
						$("#pb-get-data-twitter").attr("href", data.twitter_share);
					}
					if( data.fb_app_script != 'false'){
						$("#pb-get-data-fb-app-script").html(data.fb_app_script);
					}
					if( data.post_title != 'false'){
						$("#pb-get-data-title").html(data.post_title);
					}
					if( data.post_content != 'false'){
						$("#pb-get-data-content").html(data.post_content);
					}
					if( data.post_media != 'false'){
						$("#pb-get-data-media").html(data.post_media);
					}
					/*if( data.fb_comments != 'false'){
						$("#pb-get-data-fb-comments").html(data.fb_comments);
					}*/
					 //video width
					 var mobileWidth = document.body.clientWidth;
				     $('#pb-video').css("height", Math.floor(mobileWidth / 16*9 ) + 'px');
				     
		        }
      	}});  
		 
 })
 

 
    
