function getUserName(){
	//get username
	var username = '';
	var url = location.hostname;
	var posWWW = url.indexOf("www.");
	var posSubdomain = 0;
	if(posWWW == -1){
		posSubdomain = url.indexOf(".");
		username = url.substring(0, posSubdomain);
	}else{
		url = url.substr(4, url.length - 4);
		posSubdomain = url.indexOf(".");
		username = url.substring(0, posSubdomain);
	}
	username = 'faziosi';
	return username;
}

// The Audio player
var my_media = null;
var mediaTimer = null;
// duration of media (song)
var dur = -1;
// need to know when paused or not
var is_paused = false;

//Set audio position on page
function setAudioPosition(position) {
    $("#audio_position").html(position + " sec");
}

//onSuccess Callback
function onSuccess() {
    setAudioPosition(dur);
    clearInterval(mediaTimer);
    mediaTimer = null;
    my_media = null;
    is_paused = false;
    dur = -1;
}

//onError Callback 
function onError(error) {
    alert('code: '    + error.code    + '\n' + 
            'message: ' + error.message + '\n');
    clearInterval(mediaTimer);
    mediaTimer = null;
    my_media = null;
    is_paused = false;
    setAudioPosition("0");
}

function playAudio(src) {

    if (my_media === null) {
        // ui niceties
        $("#media_dur").html("0");
        $("#audio_position").html("Loading...");
        
        // Create Media object from src
        my_media = new Media(src, onSuccess, onError);       
        // Play audio
        //alert('Playing Audio');
        my_media.play();
    } else {
        if (is_paused) {
            // to resume where paused in song: call .play()
            is_paused = false;
            my_media.play();
        }
    }

    // Update my_media position every second
    if (mediaTimer === null) {
        mediaTimer = setInterval(function() {
            my_media.getCurrentPosition(
                    // success callback
                    function(position) {
                        if (position > -1) {
                            setAudioPosition(Math.round(position));
                            // getDuration() can take a few seconds so keep trying
                            // this could be done a better way, no callback for it
                            if (dur <= 0) {
                                dur = my_media.getDuration();                             
                                if (dur > 0) {
                                    dur = Math.round(dur);
                                    $("#media_dur").html(dur);
                                }
                            }                                                      
                        }
                    },
                    // error callback
                    function(e) {
                        alert("Error getting pos=" + e);
                        setAudioPosition("Error: " + e);
                    }
            );
        }, 1000);
    }
}

//Pause audio
function pauseAudio() {
    if (is_paused) return;
    if (my_media) {
        is_paused = true;
        my_media.pause();
    }
}

//Stop audio
function stopAudio() {
    if (my_media) {
        // A successful .stop() will call .release()
        my_media.stop();
        my_media = null;
    }
    if (mediaTimer) {
        clearInterval(mediaTimer);
        mediaTimer = null;
    }
    is_paused = false;
    dur = 0;
}



$(document).ready(function(){
	    var urls = location.hostname;
		var length = 10;
		var username = getUserName();
    	//get header info of homepage 
		$.ajax({ 
			 url: "http://"+ username +".podbean.com/api/get_podcast_info.php",
			 data:{blog:username},
			 dataType:"json",
			 type:"POST",
			 cache:false,
			 success: function(data){
		        if(data != 'false'){
		        	if( data.blog_name != 'false'){
						$("#pb-get-data-title").html(data.blog_name);
						$("#pb-get-data-alternate").attr("title", data.blog_name + " RSS Feed");
						$("#pb-get-data-blog-name").html(data.blog_name);
					}
					if( data.rss2_url != 'false'){
						$("#pb-get-data-alternate").attr("href", data.rss2_url);
					}
					if( data.fb_app_id != 'false'){
						$("#pb-get-data-fb-app-id").attr("content", data.fb_app_id);
					}
					if( data.blog_logo_image != 'false'){
						$("#pb-get-data-blog-logo-image").attr("src", data.blog_logo_image);
					}
					if( data.facebook_share != 'false'){
						$("#pb-get-data-facebook-share").attr("onclick", data.facebook_share);
					}
					if( data.twitter_share != 'false'){
						$("#pb-get-data-twitter").attr("href", data.twitter_share);
					}
					if( data.fb_app_script != 'false'){
						$("#pb-get-data-fb-app-script").html(data.fb_app_script);
					}
		        }else{
		        	//window.location.href = url;
		        }
      	}});  
		
		//get episode
		$.ajax({ 
			 url: "http://"+ username +".podbean.com/api/get_podcast_home_episodes.php",
			 data:{blog:username,start:1, length:length, type: 'init'},
			 dataType:"html",
			 type:"POST",
			 cache:false,
			 success: function(data){
		        if(data != 'false'){
					$("#pd-get-data-episode").after(data);
		        }
     	}});  
      	
    })
    
    $(document).bind('pageinit', function(event){
    	var length = 10;
    	var username = getUserName();
        var index = 1;   //strat from page 2
        $('#more_episodes').live("click",function(){
            $.mobile.loading('show');
            //get episode
            $.ajax({
              url: "http://"+ username +".podbean.com/api/get_podcast_home_episodes.php",
              data:{blog:username,start:index * length +1, length:length, type: 'nextpage'},
 			  dataType:"html",
 			  type:"POST",
              cache: false,
            }).done(function( html ) {
              if( html != 'false'){
            	  $(".episode-list:last").after(html);
              	  index++;
              }
            }).always(function() { $.mobile.loading('hide'); });
        });
        /*
        $('.episodes, .player').live('click',function(){
            media = $(this).attr('media-url');
            if(media!='') {
                window.location.href=media;
            }else {
                alert('No media file to play.');
            }
        });
        */
 
    });